summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog6
-rw-r--r--eclass/python-utils-r1.eclass9
2 files changed, 11 insertions, 4 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index 02586cd3c335..1167985a989e 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,10 @@
# ChangeLog for eclass directory
# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1729 2015/07/27 16:32:46 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1730 2015/07/27 16:34:10 mgorny Exp $
+
+ 27 Jul 2015; Michał Górny <mgorny@gentoo.org> python-utils-r1.eclass:
+ python_wrapper_setup(): wrap pythonN-config as well as suggested by PEP and
+ required by some applications, bug #555594.
27 Jul 2015; Michał Górny <mgorny@gentoo.org> python-utils-r1.eclass:
python_wrapper_setup(): replace symlinks with shell wrappers to avoid
diff --git a/eclass/python-utils-r1.eclass b/eclass/python-utils-r1.eclass
index e3bed87d50bc..807ecdf6efcd 100644
--- a/eclass/python-utils-r1.eclass
+++ b/eclass/python-utils-r1.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/python-utils-r1.eclass,v 1.85 2015/07/27 16:32:46 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/python-utils-r1.eclass,v 1.86 2015/07/27 16:34:10 mgorny Exp $
# @ECLASS: python-utils-r1
# @MAINTAINER:
@@ -873,7 +873,10 @@ python_wrapper_setup() {
#!/bin/sh
exec "${PYTHON}-config" "\${@}"
_EOF_
- chmod +x "${workdir}/bin/python-config" || die
+ cp "${workdir}/bin/python-config" \
+ "${workdir}/bin/python${pyver}-config" || die
+ chmod +x "${workdir}/bin/python-config" \
+ "${workdir}/bin/python${pyver}-config" || die
# Python 2.6+.
ln -s "${PYTHON/python/2to3-}" "${workdir}"/bin/2to3 || die
@@ -883,7 +886,7 @@ python_wrapper_setup() {
"${workdir}"/pkgconfig/python.pc || die
ln -s python.pc "${workdir}"/pkgconfig/python${pyver}.pc || die
else
- nonsupp+=( 2to3 python-config )
+ nonsupp+=( 2to3 python-config "python${pyver}-config" )
fi
local x